// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/notification.proto

package proto

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type SendSmsRequest struct {
	PhoneNumber          string   `protobuf:"bytes,1,opt,name=phone_number,json=phoneNumber,proto3" json:"phone_number,omitempty"`
	Message              string   `protobuf:"bytes,2,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SendSmsRequest) Reset()         { *m = SendSmsRequest{} }
func (m *SendSmsRequest) String() string { return proto.CompactTextString(m) }
func (*SendSmsRequest) ProtoMessage()    {}
func (*SendSmsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_beb4fc010f5c4b1c, []int{0}
}

func (m *SendSmsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SendSmsRequest.Unmarshal(m, b)
}
func (m *SendSmsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SendSmsRequest.Marshal(b, m, deterministic)
}
func (m *SendSmsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SendSmsRequest.Merge(m, src)
}
func (m *SendSmsRequest) XXX_Size() int {
	return xxx_messageInfo_SendSmsRequest.Size(m)
}
func (m *SendSmsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SendSmsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SendSmsRequest proto.InternalMessageInfo

func (m *SendSmsRequest) GetPhoneNumber() string {
	if m != nil {
		return m.PhoneNumber
	}
	return ""
}

func (m *SendSmsRequest) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type SendSmsResponse struct {
	Status               int32    `protobuf:"varint,1,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SendSmsResponse) Reset()         { *m = SendSmsResponse{} }
func (m *SendSmsResponse) String() string { return proto.CompactTextString(m) }
func (*SendSmsResponse) ProtoMessage()    {}
func (*SendSmsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_beb4fc010f5c4b1c, []int{1}
}

func (m *SendSmsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SendSmsResponse.Unmarshal(m, b)
}
func (m *SendSmsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SendSmsResponse.Marshal(b, m, deterministic)
}
func (m *SendSmsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SendSmsResponse.Merge(m, src)
}
func (m *SendSmsResponse) XXX_Size() int {
	return xxx_messageInfo_SendSmsResponse.Size(m)
}
func (m *SendSmsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SendSmsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SendSmsResponse proto.InternalMessageInfo

func (m *SendSmsResponse) GetStatus() int32 {
	if m != nil {
		return m.Status
	}
	return 0
}

type SendEmailRequest struct {
	Recipient            string   `protobuf:"bytes,1,opt,name=recipient,proto3" json:"recipient,omitempty"`
	Message              string   `protobuf:"bytes,2,opt,name=message,proto3" json:"message,omitempty"`
	Sender               string   `protobuf:"bytes,3,opt,name=sender,proto3" json:"sender,omitempty"`
	Subject              string   `protobuf:"bytes,4,opt,name=subject,proto3" json:"subject,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SendEmailRequest) Reset()         { *m = SendEmailRequest{} }
func (m *SendEmailRequest) String() string { return proto.CompactTextString(m) }
func (*SendEmailRequest) ProtoMessage()    {}
func (*SendEmailRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_beb4fc010f5c4b1c, []int{2}
}

func (m *SendEmailRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SendEmailRequest.Unmarshal(m, b)
}
func (m *SendEmailRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SendEmailRequest.Marshal(b, m, deterministic)
}
func (m *SendEmailRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SendEmailRequest.Merge(m, src)
}
func (m *SendEmailRequest) XXX_Size() int {
	return xxx_messageInfo_SendEmailRequest.Size(m)
}
func (m *SendEmailRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SendEmailRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SendEmailRequest proto.InternalMessageInfo

func (m *SendEmailRequest) GetRecipient() string {
	if m != nil {
		return m.Recipient
	}
	return ""
}

func (m *SendEmailRequest) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *SendEmailRequest) GetSender() string {
	if m != nil {
		return m.Sender
	}
	return ""
}

func (m *SendEmailRequest) GetSubject() string {
	if m != nil {
		return m.Subject
	}
	return ""
}

type SendEmailResponse struct {
	Ok                   bool     `protobuf:"varint,1,opt,name=ok,proto3" json:"ok,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SendEmailResponse) Reset()         { *m = SendEmailResponse{} }
func (m *SendEmailResponse) String() string { return proto.CompactTextString(m) }
func (*SendEmailResponse) ProtoMessage()    {}
func (*SendEmailResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_beb4fc010f5c4b1c, []int{3}
}

func (m *SendEmailResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SendEmailResponse.Unmarshal(m, b)
}
func (m *SendEmailResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SendEmailResponse.Marshal(b, m, deterministic)
}
func (m *SendEmailResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SendEmailResponse.Merge(m, src)
}
func (m *SendEmailResponse) XXX_Size() int {
	return xxx_messageInfo_SendEmailResponse.Size(m)
}
func (m *SendEmailResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SendEmailResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SendEmailResponse proto.InternalMessageInfo

func (m *SendEmailResponse) GetOk() bool {
	if m != nil {
		return m.Ok
	}
	return false
}

func init() {
	proto.RegisterType((*SendSmsRequest)(nil), "com.connectroutes.notification.SendSmsRequest")
	proto.RegisterType((*SendSmsResponse)(nil), "com.connectroutes.notification.SendSmsResponse")
	proto.RegisterType((*SendEmailRequest)(nil), "com.connectroutes.notification.SendEmailRequest")
	proto.RegisterType((*SendEmailResponse)(nil), "com.connectroutes.notification.SendEmailResponse")
}

func init() { proto.RegisterFile("proto/notification.proto", fileDescriptor_beb4fc010f5c4b1c) }

var fileDescriptor_beb4fc010f5c4b1c = []byte{
	// 297 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x92, 0xbf, 0x4e, 0xf3, 0x30,
	0x14, 0xc5, 0xbf, 0xe6, 0xa3, 0x0d, 0xb9, 0xa0, 0x02, 0x46, 0x42, 0x56, 0x85, 0x10, 0x84, 0x05,
	0x16, 0x97, 0x3f, 0x6f, 0x80, 0xc4, 0x48, 0x87, 0x64, 0x63, 0x41, 0x89, 0x7b, 0x01, 0xd3, 0xc6,
	0x37, 0xd8, 0x0e, 0x13, 0xef, 0xcd, 0x8a, 0xea, 0x3a, 0x25, 0x0c, 0xa0, 0x32, 0x45, 0xe7, 0xf8,
	0x1e, 0xff, 0x6e, 0x8e, 0x0c, 0xbc, 0x36, 0xe4, 0x68, 0xac, 0xc9, 0xa9, 0x47, 0x25, 0x0b, 0xa7,
	0x48, 0x0b, 0x6f, 0xb1, 0x23, 0x49, 0x95, 0x90, 0xa4, 0x35, 0x4a, 0x67, 0xa8, 0x71, 0x68, 0x45,
	0x77, 0x2a, 0xbd, 0x83, 0x61, 0x8e, 0x7a, 0x9a, 0x57, 0x36, 0xc3, 0xd7, 0x06, 0xad, 0x63, 0x27,
	0xb0, 0x5d, 0x3f, 0x93, 0xc6, 0x07, 0xdd, 0x54, 0x25, 0x1a, 0xde, 0x3b, 0xee, 0x9d, 0x25, 0xd9,
	0x96, 0xf7, 0x26, 0xde, 0x62, 0x1c, 0xe2, 0x0a, 0xad, 0x2d, 0x9e, 0x90, 0x47, 0xfe, 0xb4, 0x95,
	0xe9, 0x39, 0xec, 0xac, 0xae, 0xb3, 0x35, 0x69, 0x8b, 0xec, 0x00, 0x06, 0xd6, 0x15, 0xae, 0xb1,
	0xfe, 0xa6, 0x7e, 0x16, 0x54, 0xfa, 0x0e, 0xbb, 0x8b, 0xd1, 0xdb, 0xaa, 0x50, 0xf3, 0x96, 0x7d,
	0x08, 0x89, 0x41, 0xa9, 0x6a, 0x85, 0xda, 0x05, 0xf0, 0x97, 0xf1, 0x33, 0xd6, 0x33, 0x50, 0x4f,
	0xd1, 0xf0, 0xff, 0xfe, 0x20, 0xa8, 0x45, 0xc2, 0x36, 0xe5, 0x0b, 0x4a, 0xc7, 0x37, 0x96, 0x89,
	0x20, 0xd3, 0x53, 0xd8, 0xeb, 0xd0, 0xc3, 0xaa, 0x43, 0x88, 0x68, 0xe6, 0xb9, 0x9b, 0x59, 0x44,
	0xb3, 0xab, 0x8f, 0x1e, 0xec, 0x4f, 0x3a, 0x6d, 0xe5, 0x68, 0xde, 0x94, 0x44, 0x36, 0x87, 0x38,
	0xfc, 0x25, 0x13, 0xe2, 0xf7, 0x82, 0xc5, 0xf7, 0x76, 0x47, 0xe3, 0xb5, 0xe7, 0x97, 0x3b, 0xa5,
	0xff, 0x98, 0x81, 0x64, 0xb5, 0x2a, 0xbb, 0x58, 0x27, 0xdf, 0xed, 0x74, 0x74, 0xf9, 0x87, 0x44,
	0xcb, 0xbc, 0x89, 0xef, 0xfb, 0xfe, 0xfd, 0x94, 0x03, 0xff, 0xb9, 0xfe, 0x0c, 0x00, 0x00, 0xff,
	0xff, 0x8b, 0xa3, 0x8e, 0x6d, 0x62, 0x02, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// NotificationServiceClient is the client API for NotificationService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type NotificationServiceClient interface {
	SendSms(ctx context.Context, in *SendSmsRequest, opts ...grpc.CallOption) (*SendSmsResponse, error)
	SendEmail(ctx context.Context, in *SendEmailRequest, opts ...grpc.CallOption) (*SendEmailResponse, error)
}

type notificationServiceClient struct {
	cc *grpc.ClientConn
}

func NewNotificationServiceClient(cc *grpc.ClientConn) NotificationServiceClient {
	return &notificationServiceClient{cc}
}

func (c *notificationServiceClient) SendSms(ctx context.Context, in *SendSmsRequest, opts ...grpc.CallOption) (*SendSmsResponse, error) {
	out := new(SendSmsResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.notification.NotificationService/SendSms", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *notificationServiceClient) SendEmail(ctx context.Context, in *SendEmailRequest, opts ...grpc.CallOption) (*SendEmailResponse, error) {
	out := new(SendEmailResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.notification.NotificationService/SendEmail", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// NotificationServiceServer is the server API for NotificationService service.
type NotificationServiceServer interface {
	SendSms(context.Context, *SendSmsRequest) (*SendSmsResponse, error)
	SendEmail(context.Context, *SendEmailRequest) (*SendEmailResponse, error)
}

// UnimplementedNotificationServiceServer can be embedded to have forward compatible implementations.
type UnimplementedNotificationServiceServer struct {
}

func (*UnimplementedNotificationServiceServer) SendSms(ctx context.Context, req *SendSmsRequest) (*SendSmsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendSms not implemented")
}
func (*UnimplementedNotificationServiceServer) SendEmail(ctx context.Context, req *SendEmailRequest) (*SendEmailResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendEmail not implemented")
}

func RegisterNotificationServiceServer(s *grpc.Server, srv NotificationServiceServer) {
	s.RegisterService(&_NotificationService_serviceDesc, srv)
}

func _NotificationService_SendSms_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SendSmsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NotificationServiceServer).SendSms(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.notification.NotificationService/SendSms",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NotificationServiceServer).SendSms(ctx, req.(*SendSmsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _NotificationService_SendEmail_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SendEmailRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NotificationServiceServer).SendEmail(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.notification.NotificationService/SendEmail",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NotificationServiceServer).SendEmail(ctx, req.(*SendEmailRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _NotificationService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "com.connectroutes.notification.NotificationService",
	HandlerType: (*NotificationServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SendSms",
			Handler:    _NotificationService_SendSms_Handler,
		},
		{
			MethodName: "SendEmail",
			Handler:    _NotificationService_SendEmail_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "proto/notification.proto",
}
